:host {
    width: 60%;
    height: 100%;
}
.banner-container {
    width: 100%;
    height: 100%;
    position: relative;
    .banner {
      display: flex;
      width: 100%;
      height: 100%;
      background-size: cover;
      background-repeat: no-repeat;
      img {
        max-width: 100%;
        height: auto
      }
    }
  }

  @media only screen and (max-width: 768px) {
    :host {
        width: 100%;
      }
  }